<template lang="pug">
#app
  settings(v-if="showSettings")
  top-icons
  profile-overview
  progress-bar
  tabs-container
  router-view
</template>

<script>
 import TopIcons from './components/top-icons.vue'
 import ProfileOverview from './components/profile-overview.vue'
 import ProgressBar from './components/progress-bar.vue'
 import TabsContainer from './components/tabs-container.vue'
 import Settings from './components/settings.vue'
 
 import Data from './data.json'

 export default {
  name: 'app',
  components: {
    Settings,
    TopIcons,
    ProfileOverview,
    TabsContainer,
    ProgressBar,
  },

  data () {
    return {
      msg: 'Welcome to Your Vue.js App',
      data: Data
    }
  },

  computed: {
    showSettings() {
      return this.$store.state.showSettings
    }
  },

  created() {
    if (!this.$store.state.user.name) {
    // Initial User
    this.$store.commit('setUser', {name: 'user', pic: 'dist/man-4.png'})

    // Intial Goals
    let goals = Data.group.goals
    for (let i = 0; i < goals.length; i++) {
      this.$store.commit('addGoal', goals[i])
    }

    let users = Data.group.users
    for (let i = 0; i < users.length; i++) {
      this.$store.commit('addUser', users[i])
    }
  }
}




}
</script>

<style lang="sass">
@import 'style/app'
</style>
